#include "CS_PowerRoom_Screen.h"

CS_PowerRoom_Screen::CS_PowerRoom_Screen()
{
	ani.png = L"CS_CaveStoryMod";
	ani.sprite_index = L"ls_powerroom_screen";
	drawBeforeOtherEntity = true;
}

void CS_PowerRoom_Screen::Step()
{
	auto& ani_no = ani.image_index;
	if (++ani_wait > 3)
	{
		ani_wait = 0;
		++ani_no;
	}

	if (ani_no > 2)
		ani_no = 0;
}

std::shared_ptr<Entity> CreateCS_PowerRoom_Screen()
{
	return std::make_shared<CS_PowerRoom_Screen>();
}
